import { ContainerType } from "../Base/Base";
export declare type SetType<T> = {
    insert: (element: T) => void;
    find: (element: T) => boolean;
    lower_bound: (key: T) => T | undefined;
    upper_bound: (key: T) => T | undefined;
    union: (other: SetType<T>) => void;
    getHeight: () => number;
} & ContainerType<T>;
declare const _default: new <T>(container?: {
    forEach: (callback: (element: T) => void) => void;
} | undefined, cmp?: ((x: T, y: T) => number) | undefined) => SetType<T>;
export default _default;
